Package org.postgresql.core

# Class SocketFactoryFactory

java.lang.Object
org.postgresql.core.SocketFactoryFactory

public class SocketFactoryFactory extends Object
Instantiates `SocketFactory` based on the `PGProperty.SOCKET_FACTORY`.

## Constructor Summary

Constructors
Constructor
Description
`SocketFactoryFactory()`

## Method Summary

Modifier and Type
Method
Description
`static SocketFactory`
`getSocketFactory(Properties info)`
Instantiates `SocketFactory` based on the `PGProperty.SOCKET_FACTORY`.
`static SSLSocketFactory`
`getSslSocketFactory(Properties info)`
Instantiates `SSLSocketFactory` based on the `PGProperty.SSL_FACTORY`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketFactoryFactory

public SocketFactoryFactory()

## Method Details

### getSocketFactory

public static SocketFactory getSocketFactory(Properties info) throws PSQLException
Instantiates `SocketFactory` based on the `PGProperty.SOCKET_FACTORY`.

Parameters:
  `info` - connection properties
Returns:
  socket factory
Throws:
  `PSQLException` - if something goes wrong

### getSslSocketFactory

public static SSLSocketFactory getSslSocketFactory(Properties info) throws PSQLException
Instantiates `SSLSocketFactory` based on the `PGProperty.SSL_FACTORY`.

Parameters:
  `info` - connection properties
Returns:
  SSL socket factory
Throws:
  `PSQLException` - if something goes wrong